## dynare 4.4.1

=== debian/changelog ===
dynare (4.4.1-1build1) trusty; urgency=medium

  * Rebuild for octave 3.8.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 24 Feb 2014 23:50:28 +0000

dynare (4.4.1-1) unstable; urgency=medium

  * Imported Upstream version 4.4.1
  * debian/copyright: reflect upstream changes.
  * Add Recommends matlab2tikz to dynare.
  * debian/watch: add automatic verification of PGP signature.
  * Remove Build-Conflicts on flex and bison.

 -- Sébastien Villemot <sebastien@debian.org>  Fri, 17 Jan 2014 15:45:20 +0000

dynare (4.4.0-1) unstable; urgency=medium

  [ Sébastien Villemot ]
  * Imported Upstream version 4.4.0
  * debian/copyright: reflect upstream changes.
  * Drop patches applied upstream:
    + texlive-2013.patch
    + gcc-4.8.patch
    + no-automake-werror.patch
  * Add libboost-graph1.54-dev as alternate dependency to dynare-matlab.
  * Drop obsolete lintian overrides.
  * Add flex and bison to Build-conflicts.
    This is to avoid breakage with newer versions of these.
  * Use canonical URLs for Vcs-* fields.

  [ Rafael Laboissiere ]
  * Bump to Standards-Version 3.9.5, no changes needed

 -- Sébastien Villemot <sebastien@debian.org>  Mon, 16 Dec 2013 19:29:28 +0100

dynare (4.3.3-5) unstable; urgency=low

  [ Peter Michael Green ]
  * no-automake-werror.patch: new patch, removes -Werror from automake.
    (Closes: #727045)

 -- Sébastien Villemot <sebastien@debian.org>  Tue, 22 Oct 2013 12:34:58 +0000

=== debian/control ===
Source: dynare
Maintainer: Debian Octave Group <pkg-octave-devel@lists.alioth.debian.org>
Uploaders: Sébastien Villemot <sebastien@debian.org>,
 Thomas Weber <tweber@debian.org>
Section: math
Priority: optional
Build-Depends: debhelper (>= 9), liboctave-dev, libboost-graph-dev (>= 1.36),
 libmatio-dev, libgsl0-dev, libslicot-dev, dh-autoreconf, libsuitesparse-dev
Build-Depends-Indep: texlive, texlive-publishers, texlive-extra-utils,
 texlive-formats-extra, texlive-generic-recommended, texi2html, latex2html,
 latex-beamer, texlive-math-extra
Standards-Version: 3.9.5
Homepage: http://www.dynare.org/
Vcs-Git: git://anonscm.debian.org/pkg-octave/dynare.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-octave/dynare.git

Package: dynare
Architecture: any
Depends: octave, dynare-common (= ${source:Version}), ${shlibs:Depends},
 ${misc:Depends}
Suggests: dynare-doc, dynare-matlab
Recommends: liboctave-dev, octave-optim, octave-io, octave-statistics,
 octave-control, matlab2tikz
Description: platform for handling a wide class of economic models
 Dynare is a software platform for handling a wide class of economic models, in
 particular dynamic stochastic general equilibrium (DSGE) and overlapping
 generations (OLG) models. The models solved by Dynare include those relying on
 the rational expectations hypothesis, wherein agents form their expectations
 about the future in a way consistent with the model. But Dynare is also able
 to handle models where expectations are formed differently: on one extreme,
 models where agents perfectly anticipate the future; on the other extreme,
 models where agents have limited rationality or imperfect knowledge of the
 state of the economy and, hence, form their expectations through a learning
 process. In terms of types of agents, models solved by Dynare can incorporate
 consumers, productive firms, governments, monetary authorities, investors and
 financial intermediaries. Some degree of heterogeneity can be achieved by
 including several distinct classes of agents in each of the aforementioned
 agent categories.
 .
 Dynare offers a user-friendly and intuitive way of describing these models. It
 is able to perform simulations of the model given a calibration of the model
 parameters and is also able to estimate these parameters given a dataset. In
 practice, the user will write a text file containing the list of model
 variables, the dynamic equations linking these variables together, the
 computing tasks to be performed and the desired graphical or numerical
 outputs.
 .
 This package provides a full installation of Dynare, to be run on top of GNU
 Octave.
 .
 It contains:
  * the binary preprocessor
  * dynamic loadable libraries for faster computation, compiled for Octave
  * the standalone program Dynare++ for higher-order approximations

Package: dynare-common
Architecture: all
Depends: ${misc:Depends}
Description: platform for handling a wide class of economic models (common files)
 Dynare is a software platform for handling a wide class of economic models, in
 particular dynamic stochastic general equilibrium (DSGE) and overlapping
 generations (OLG) models. The models solved by Dynare include those relying on
 the rational expectations hypothesis, wherein agents form their expectations
 about the future in a way consistent with the model. But Dynare is also able
 to handle models where expectations are formed differently: on one extreme,
 models where agents perfectly anticipate the future; on the other extreme,
 models where agents have limited rationality or imperfect knowledge of the
 state of the economy and, hence, form their expectations through a learning
 process. In terms of types of agents, models solved by Dynare can incorporate
 consumers, productive firms, governments, monetary authorities, investors and
 financial intermediaries. Some degree of heterogeneity can be achieved by
 including several distinct classes of agents in each of the aforementioned
 agent categories.
 .
 Dynare offers a user-friendly and intuitive way of describing these models. It
 is able to perform simulations of the model given a calibration of the model
 parameters and is also able to estimate these parameters given a dataset. In
 practice, the user will write a text file containing the list of model
 variables, the dynamic equations linking these variables together, the
 computing tasks to be performed and the desired graphical or numerical
 outputs.
 .
 This package contains the various M-files which can be run under both GNU
 Octave and MATLAB.

Package: dynare-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: documentation for Dynare
 Dynare is a software platform for handling a wide class of economic models, in
 particular dynamic stochastic general equilibrium (DSGE) and overlapping
 generations (OLG) models. The models solved by Dynare include those relying on
 the rational expectations hypothesis, wherein agents form their expectations
 about the future in a way consistent with the model. But Dynare is also able
 to handle models where expectations are formed differently: on one extreme,
 models where agents perfectly anticipate the future; on the other extreme,
 models where agents have limited rationality or imperfect knowledge of the
 state of the economy and, hence, form their expectations through a learning
 process. In terms of types of agents, models solved by Dynare can incorporate
 consumers, productive firms, governments, monetary authorities, investors and
 financial intermediaries. Some degree of heterogeneity can be achieved by
 including several distinct classes of agents in each of the aforementioned
 agent categories.
 .
 Dynare offers a user-friendly and intuitive way of describing these models. It
 is able to perform simulations of the model given a calibration of the model
 parameters and is also able to estimate these parameters given a dataset. In
 practice, the user will write a text file containing the list of model
 variables, the dynamic equations linking these variables together, the
 computing tasks to be performed and the desired graphical or numerical
 outputs.
 .
 This package contains full Dynare documentation, including a user guide and
 the reference manual.

Package: dynare-matlab
Architecture: all
Section: contrib/math
Depends: ${misc:Depends}, dynare (>= ${source:Version}),
 libboost-graph-dev (>= 1.36) | libboost-graph1.54-dev | libboost-graph1.53-dev | libboost-graph1.49-dev,
 gfortran, matlab-support, make, libslicot-pic
Description: MATLAB support for Dynare
 Dynare is a software platform for handling a wide class of economic models, in
 particular dynamic stochastic general equilibrium (DSGE) and overlapping
 generations (OLG) models. The models solved by Dynare include those relying on
 the rational expectations hypothesis, wherein agents form their expectations
 about the future in a way consistent with the model. But Dynare is also able
 to handle models where expectations are formed differently: on one extreme,
 models where agents perfectly anticipate the future; on the other extreme,
 models where agents have limited rationality or imperfect knowledge of the
 state of the economy and, hence, form their expectations through a learning
 process. In terms of types of agents, models solved by Dynare can incorporate
 consumers, productive firms, governments, monetary authorities, investors and
 financial intermediaries. Some degree of heterogeneity can be achieved by
 including several distinct classes of agents in each of the aforementioned
 agent categories.
 .
 Dynare offers a user-friendly and intuitive way of describing these models. It
 is able to perform simulations of the model given a calibration of the model
 parameters and is also able to estimate these parameters given a dataset. In
 practice, the user will write a text file containing the list of model
 variables, the dynamic equations linking these variables together, the
 computing tasks to be performed and the desired graphical or numerical
 outputs.
 .
 This package is only useful to users having MATLAB installed on their
 machine. It contains the source of the MEX files and will recompile them using
 the existing MATLAB installation.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/octave/debian/defs.make

%:
	dh $@ --parallel --with autoreconf

override_dh_auto_build-indep:
	dh_auto_build --parallel -- pdf html

# Prevent the compilation of arch-dep files
override_dh_auto_install-indep:

# Don't run the testsuite
override_dh_auto_test:

override_dh_install-arch:
	dh_install -a
	mkdir -p debian/dynare/usr/lib/dynare/mex/octave
	cp mex/octave/* debian/dynare/usr/lib/dynare/mex/octave

override_dh_install-indep:
	dh_install -i
	rm debian/dynare-common/usr/share/dynare/matlab/dynare_m

override_dh_link:
	dh_link --package=dynare-common /usr/share/dynare/matlab/dynare.m $(MDIR)/dynare.m

# Fix wrong permissions in upstream tarball
override_dh_fixperms-indep:
	dh_fixperms -i
	find debian/dynare-matlab/usr/src/matlab/dynare-matlab \( -name '*.am' -or -name '*.m4' -or -name '*.ac' \) -exec chmod -x '{}' ';'
	find debian/dynare-common/usr/share/dynare/matlab/ -name '*.m' -exec chmod -x '{}' ';'

get-orig-source:
	uscan --force-download --rename --destdir .
.PHONY: get-orig-source

## dynare 4.4.2

=== debian/changelog ===
dynare (4.4.2-2ubuntu3) utopic; urgency=high

  * No change rebuild against boost1.55.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 14 May 2014 21:16:24 +0100

dynare (4.4.2-2ubuntu2) utopic; urgency=high

  * No change rebuild against boost1.55.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Sat, 03 May 2014 22:35:32 +0100

dynare (4.4.2-2ubuntu1) utopic; urgency=high

  * Rebuild against boost1.55

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 28 Apr 2014 03:58:35 +0100

dynare (4.4.2-2) unstable; urgency=medium

  * dynare-matlab: add missing dependency on libmatio-dev. (Closes: #742259)

 -- Sébastien Villemot <sebastien@debian.org>  Mon, 24 Mar 2014 17:41:45 +0100

dynare (4.4.2-1) unstable; urgency=medium

  * Imported Upstream version 4.4.2
  * Rename d/upstream to d/upstream/metadata.
  * Rename d/signing-key.pgp to d/upstream/signing-key.pgp.
  * Simplify debian/dynare-common.emacsen-startup.
  * Add missing debian/dynare-common.emacsen-compat.

 -- Sébastien Villemot <sebastien@debian.org>  Fri, 07 Mar 2014 13:43:02 +0000

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: dynare
-Maintainer: Debian Octave Group <pkg-octave-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Octave Group <pkg-octave-devel@lists.alioth.debian.org>
 Uploaders: Sébastien Villemot <sebastien@debian.org>,
  Thomas Weber <tweber@debian.org>
 Section: math
@@ -118,8 +119,8 @@
 Architecture: all
 Section: contrib/math
 Depends: ${misc:Depends}, dynare (>= ${source:Version}),
- libboost-graph-dev (>= 1.36) | libboost-graph1.54-dev | libboost-graph1.53-dev | libboost-graph1.49-dev,
- gfortran, matlab-support, make, libslicot-pic
+ libboost-graph-dev (>= 1.36) | libboost-graph1.55-dev | libboost-graph1.53-dev | libboost-graph1.49-dev,
+ gfortran, matlab-support, make, libslicot-pic, libmatio-dev
 Description: MATLAB support for Dynare
  Dynare is a software platform for handling a wide class of economic models, in
  particular dynamic stochastic general equilibrium (DSGE) and overlapping

## dynare 4.4.3

=== dynare++/extern/R/Makefile ===
RINTERNALS=/usr/share/R/include/

sylvcppsource := $(wildcard ../../sylv/cc/*.cpp)
sylvhsource := $(wildcard ../../sylv/cc/*.h)
sylvobjects := $(patsubst %.cpp, %.o, $(sylvcppsource))

tlcwebsource := $(wildcard ../../tl/cc/*.cweb)
tlcppsource := $(patsubst %.cweb,%.cpp,$(tlcwebsource))
tlhwebsource := $(wildcard ../../tl/cc/*.hweb)
tlhsource := $(patsubst %.hweb,%.h,$(tlhwebsource))
tlobjects := $(patsubst %.cweb,%.o,$(tlcwebsource))

kordcwebsource := $(wildcard ../../kord/*.cweb)
kordcppsource := $(patsubst %.cweb,%.cpp,$(kordcwebsource))
kordhwebsource := $(wildcard ../../kord/*.hweb)
kordhsource := $(patsubst %.hweb,%.h,$(kordhwebsource))
kordobjects := $(patsubst %.cweb,%.o,$(kordcwebsource))

integcwebsource := $(wildcard ../../integ/cc/*.cweb)
integcppsource := $(patsubst %.cweb,%.cpp,$(integcwebsource))
integhwebsource := $(wildcard ../../integ/cc/*.hweb)
integhsource := $(patsubst %.hweb,%.h,$(integhwebsource))
integobjects := $(patsubst %.cweb,%.o,$(integcwebsource))

parserhsource := $(wildcard ../../parser/cc/*.h)
parsercppsource := $(wildcard ../parser/cc/*.cpp)

utilshsource := $(wildcard ../../utils/cc/*.h)
utilscppsource := $(wildcard ../utils/cc/*.cpp)

srccpp := dynare3.cpp dynare_model.cpp planner_builder.cpp dynare_atoms.cpp dynare_params.cpp  nlsolve.cpp
objects := $(patsubst %.cpp,../../src/%.o,$(srccpp)) \
$(patsubst %.y,%_ll.o,$(wildcard ../../src/*.y)) \
$(patsubst %.lex,%_tab.o,$(wildcard ../../src/*.lex))

PKG_CPPFLAGS= -I../../tl/cc -I../../sylv/cc -I../../kord -I../../src -I../.. -I$(RINTERNALS)
PKG_LIBS= ${LAPACK_LIBS} ${BLAS_LIBS} $(objects) $(kordobjects) $(integobjects) $(tlobjects) ../../parser/cc/parser.a ../../utils/cc/utils.a $(sylvobjects) -lpthread -llapack -lcblas -lf77blas -latlas -lg2c -lstdc++

ifneq ($(LD_LIBRARY_PATH),)	# use LD_LIBRARY_PATH from environment
	PKG_LIBS := -Wl,--library-path $(LD_LIBRARY_PATH) $(PKG_LIBS)
endif

dynareR.so: dynareR.o
	g++ -shared  -o dynareR.so dynareR.o -L/usr/lib/R/lib -lR $(PKG_LIBS)

dynareR.o: dynareR.cpp
	g++ -I/usr/share/R/include -I/usr/share/R/include $(PKG_CPPFLAGS) \
	-fpic  -g -O2 -c dynareR.cpp -o dynareR.o -DDEBUG

test: test.cpp dynareR.cpp
	g++ -O0 -g -o test test.cpp -DDEBUG $(PKG_LIBS) $(PKG_CPPFLAGS)

test-debug:
	valgrind --leak-check=yes ./test

=== debian/changelog ===
dynare (4.4.3-2ubuntu4) xenial; urgency=medium

  * Rebuild against new gsl SONAME change.

 -- Michael Terry <mterry@ubuntu.com>  Tue, 08 Dec 2015 13:17:45 -0500

dynare (4.4.3-2ubuntu3) xenial; urgency=medium

  * No-change rebuild against suitesparse 1:4.4.5-2

 -- Graham Inggs <graham@nerve.org.za>  Tue, 01 Dec 2015 13:26:52 +0200

dynare (4.4.3-2ubuntu2) xenial; urgency=medium

  * Rebuild against new gsl. Update references to libgsl0-dev to libgsl-
    dev.

 -- Iain Lane <iain@orangesquash.org.uk>  Tue, 10 Nov 2015 15:05:03 +0000

dynare (4.4.3-2ubuntu1) wily; urgency=medium

  * dynare-matlab: Just depend on loibboost-graph-dev.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 28 Aug 2015 21:42:23 +0200

dynare (4.4.3-2build1) wily; urgency=medium

  * No-change rebuild using boost 1.58.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 28 Aug 2015 12:53:33 +0000

dynare (4.4.3-2) unstable; urgency=medium

  * New patches for Octave 4.0 compatibility, taken from upstream:
    - ordschur.patch
    - ilu.patch
    - warning-language-extension.patch
  * Bump Standards-Version to 3.9.6, no changes needed.
  * d/copyright: ensure that license names are unique.

 -- Sébastien Villemot <sebastien@debian.org>  Tue, 21 Jul 2015 11:19:17 +0200

dynare (4.4.3-1) unstable; urgency=medium

  * Imported Upstream version 4.4.3
  * Use the new upstream "make install" rule.
     + The whole package is now installed under /usr/lib/dynare/.
     + As a consequence, drop the dynare-common package.
     + fhs-compliance.patch: removed, no longer needed.
     + hardcode-dynareroot.patch: new patch.
     + Simplify debian/rules, and no longer use Build-Depends-Indep field.
  * Remove Thomas Weber from Uploaders.
  * Add libboost-graph1.55-dev as alternate dependency to dynare-matlab.

 -- Sébastien Villemot <sebastien@debian.org>  Thu, 31 Jul 2014 20:43:46 +0200

=== debian/control ===
--- 
+++ 
@@ -1,25 +1,25 @@
 Source: dynare
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian Octave Group <pkg-octave-devel@lists.alioth.debian.org>
-Uploaders: Sébastien Villemot <sebastien@debian.org>,
- Thomas Weber <tweber@debian.org>
+Uploaders: Sébastien Villemot <sebastien@debian.org>
 Section: math
 Priority: optional
 Build-Depends: debhelper (>= 9), liboctave-dev, libboost-graph-dev (>= 1.36),
- libmatio-dev, libgsl0-dev, libslicot-dev, dh-autoreconf, libsuitesparse-dev
-Build-Depends-Indep: texlive, texlive-publishers, texlive-extra-utils,
+ libmatio-dev, libgsl-dev, libslicot-dev, dh-autoreconf, libsuitesparse-dev,
+ texlive, texlive-publishers, texlive-extra-utils,
  texlive-formats-extra, texlive-generic-recommended, texi2html, latex2html,
  latex-beamer, texlive-math-extra
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://www.dynare.org/
 Vcs-Git: git://anonscm.debian.org/pkg-octave/dynare.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-octave/dynare.git
 
 Package: dynare
 Architecture: any
-Depends: octave, dynare-common (= ${source:Version}), ${shlibs:Depends},
- ${misc:Depends}
+Depends: octave, ${shlibs:Depends}, ${misc:Depends}
 Suggests: dynare-doc, dynare-matlab
+Breaks: dynare-common
+Replaces: dynare-common
 Recommends: liboctave-dev, octave-optim, octave-io, octave-statistics,
  octave-control, matlab2tikz
 Description: platform for handling a wide class of economic models
@@ -48,41 +48,6 @@
  .
  This package provides a full installation of Dynare, to be run on top of GNU
  Octave.
- .
- It contains:
-  * the binary preprocessor
-  * dynamic loadable libraries for faster computation, compiled for Octave
-  * the standalone program Dynare++ for higher-order approximations
-
-Package: dynare-common
-Architecture: all
-Depends: ${misc:Depends}
-Description: platform for handling a wide class of economic models (common files)
- Dynare is a software platform for handling a wide class of economic models, in
- particular dynamic stochastic general equilibrium (DSGE) and overlapping
- generations (OLG) models. The models solved by Dynare include those relying on
- the rational expectations hypothesis, wherein agents form their expectations
- about the future in a way consistent with the model. But Dynare is also able
- to handle models where expectations are formed differently: on one extreme,
- models where agents perfectly anticipate the future; on the other extreme,
- models where agents have limited rationality or imperfect knowledge of the
- state of the economy and, hence, form their expectations through a learning
- process. In terms of types of agents, models solved by Dynare can incorporate
- consumers, productive firms, governments, monetary authorities, investors and
- financial intermediaries. Some degree of heterogeneity can be achieved by
- including several distinct classes of agents in each of the aforementioned
- agent categories.
- .
- Dynare offers a user-friendly and intuitive way of describing these models. It
- is able to perform simulations of the model given a calibration of the model
- parameters and is also able to estimate these parameters given a dataset. In
- practice, the user will write a text file containing the list of model
- variables, the dynamic equations linking these variables together, the
- computing tasks to be performed and the desired graphical or numerical
- outputs.
- .
- This package contains the various M-files which can be run under both GNU
- Octave and MATLAB.
 
 Package: dynare-doc
 Architecture: all
@@ -119,7 +84,7 @@
 Architecture: all
 Section: contrib/math
 Depends: ${misc:Depends}, dynare (>= ${source:Version}),
- libboost-graph-dev (>= 1.36) | libboost-graph1.55-dev | libboost-graph1.53-dev | libboost-graph1.49-dev,
+ libboost-graph-dev (>= 1.36),
  gfortran, matlab-support, make, libslicot-pic, libmatio-dev
 Description: MATLAB support for Dynare
  Dynare is a software platform for handling a wide class of economic models, in

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/octave/debian/defs.make

%:
	dh $@ --parallel --with autoreconf

# Disable multi-arch path
override_dh_auto_configure:
	dh_auto_configure -- --libdir=/usr/lib

# Also build PDF and HTML docs
override_dh_auto_build:
	dh_auto_build --parallel -- all pdf html

# Don't run the testsuite
override_dh_auto_test:

override_dh_link:
	dh_link --package=dynare /usr/lib/dynare/matlab/dynare.m $(MDIR)/dynare.m

get-orig-source:
	uscan --force-download --rename --destdir .
.PHONY: get-orig-source

=== debian/watch ===
version=3
opts=pgpsigurlmangle=s/$/.sig/ http://www.dynare.org/release/source/ dynare-(.*)\.tar\.xz

## dynare 4.5.1

=== debian/changelog ===
dynare (4.5.1-1build1) artful; urgency=medium

  * No-change rebuild for libgsl soname change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 06 Aug 2017 00:09:46 +0000

dynare (4.5.1-1) unstable; urgency=medium

  * New upstream version 4.5.1
  * d/p/octave-4.0.patch: drop patch, no longer needed.
  * d/control: require at least Octave 4.2 in Build-Deps.
  * Drop patches applied upstream.
    + clean-julia-preprocessor.patch
    + drop-texi2html.patch
    + license-files-install.patch
    + typos.patch
  * Switch to dh-elpa for providing the Emacs mode.
    + d/dynare.emacsen*: dropped
    + d/dynare.install: no longer manually install dynare.el
    + d/control: add dh-elpa to Build-Depends
    + d/rules: dh --with elpa
    + d/dynare.elpa: new file
    + d/elpa-test: disable testsuite (non-existent)
    + d/p/emacs-use-autoload-magic-comment.patch: new patch for autoload
  * Add two autopkgtests (simple run of small mod-files).

 -- Sébastien Villemot <sebastien@debian.org>  Tue, 25 Jul 2017 18:10:55 +0200

dynare (4.5.0-1) unstable; urgency=medium

  * New upstream version 4.5.0
  * d/copyright:
    + Reflect upstream changes.
    + Use secure URL for format.
  * New patches taken from upstream:
    + d/p/typos.patch
    + d/p/clean-julia-preprocessor.patch
    + d/p/license-files-install.patch
    + d/p/drop-texi2html.patch
  * Drop patches applied upstream:
    + ilu.patch
    + ordschur.patch
    + warning-language-extension.patch
  * d/p/octave-4.0.patch: new patch, removes a warning with Octave 4.0.
  * Bump to debhelper compat level 10.
  * d/rules: support "nodoc" option of DEB_BUILD_OPTIONS.
  * d/control:
    + (dynare-matlab) Drop old alternatives on the boost dep.
      (Closes: #833772)
    + Drop unnecessary versioned dependency on libboost-graph-dev.
    + (dynare) Drop recommends on matlab2tikz, no longer used.
    + Update the list of texlive dependencies (to match new package
      organization).
    + No longer Build-Depend on texi2html.
    + Add lmodern to Build-Depends.
    + Bump to Standards-Version 4.0.0.
    + Mark dynare-doc as M-A foreign.
    + Use secure URLs for Vcs-* fields.
  * d/watch: bump to format version 4.

 -- Sébastien Villemot <sebastien@debian.org>  Thu, 29 Jun 2017 12:54:53 +0200

dynare (4.4.3-3) unstable; urgency=medium

  * d/upstream/metadata: fix outdated URLs.
  * d/control: Update build dependencies for GSL 2.
    Change libgsl0-dev to libgsl-dev.
    Thanks to Bas Couwenberg (Closes: #807197)

 -- Sébastien Villemot <sebastien@debian.org>  Sun, 06 Dec 2015 21:52:35 +0100

=== debian/control ===
--- 
+++ 
@@ -1,27 +1,46 @@
 Source: dynare
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Octave Group <pkg-octave-devel@lists.alioth.debian.org>
+Maintainer: Debian Octave Group <pkg-octave-devel@lists.alioth.debian.org>
 Uploaders: Sébastien Villemot <sebastien@debian.org>
 Section: math
 Priority: optional
-Build-Depends: debhelper (>= 9), liboctave-dev, libboost-graph-dev (>= 1.36),
- libmatio-dev, libgsl-dev, libslicot-dev, dh-autoreconf, libsuitesparse-dev,
- texlive, texlive-publishers, texlive-extra-utils,
- texlive-formats-extra, texlive-generic-recommended, texi2html, latex2html,
- latex-beamer, texlive-math-extra
-Standards-Version: 3.9.6
+Build-Depends: debhelper (>= 10),
+               dh-elpa,
+               liboctave-dev (>= 4.2),
+               libboost-graph-dev,
+               libmatio-dev,
+               libgsl-dev,
+               libslicot-dev,
+               libsuitesparse-dev,
+               texlive,
+               texlive-publishers,
+               texlive-extra-utils,
+               texlive-formats-extra,
+               texlive-latex-extra,
+               texlive-fonts-extra,
+               texlive-latex-recommended,
+               texlive-science,
+               lmodern,
+               texinfo,
+               latex2html
+Standards-Version: 4.0.0
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-octave/dynare.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-octave/dynare.git
 Homepage: http://www.dynare.org/
-Vcs-Git: git://anonscm.debian.org/pkg-octave/dynare.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-octave/dynare.git
 
 Package: dynare
 Architecture: any
-Depends: octave, ${shlibs:Depends}, ${misc:Depends}
-Suggests: dynare-doc, dynare-matlab
+Depends: octave,
+         ${shlibs:Depends},
+         ${misc:Depends}
+Recommends: liboctave-dev,
+            octave-optim,
+            octave-io,
+            octave-statistics,
+            octave-control
+Suggests: dynare-doc,
+          dynare-matlab
 Breaks: dynare-common
 Replaces: dynare-common
-Recommends: liboctave-dev, octave-optim, octave-io, octave-statistics,
- octave-control, matlab2tikz
 Description: platform for handling a wide class of economic models
  Dynare is a software platform for handling a wide class of economic models, in
  particular dynamic stochastic general equilibrium (DSGE) and overlapping
@@ -53,6 +72,7 @@
 Architecture: all
 Section: doc
 Depends: ${misc:Depends}
+Multi-Arch: foreign
 Description: documentation for Dynare
  Dynare is a software platform for handling a wide class of economic models, in
  particular dynamic stochastic general equilibrium (DSGE) and overlapping
@@ -83,9 +103,14 @@
 Package: dynare-matlab
 Architecture: all
 Section: contrib/math
-Depends: ${misc:Depends}, dynare (>= ${source:Version}),
- libboost-graph-dev (>= 1.36),
- gfortran, matlab-support, make, libslicot-pic, libmatio-dev
+Depends: ${misc:Depends},
+         dynare (>= ${source:Version}),
+         libboost-graph-dev,
+         gfortran,
+         matlab-support,
+         make,
+         libslicot-pic,
+         libmatio-dev
 Description: MATLAB support for Dynare
  Dynare is a software platform for handling a wide class of economic models, in
  particular dynamic stochastic general equilibrium (DSGE) and overlapping

=== debian/rules ===
--- 
+++ 
@@ -3,15 +3,22 @@
 include /usr/share/octave/debian/defs.make
 
 %:
-	dh $@ --parallel --with autoreconf
+	dh $@ --with elpa
 
 # Disable multi-arch path
 override_dh_auto_configure:
 	dh_auto_configure -- --libdir=/usr/lib
 
-# Also build PDF and HTML docs
+# Also build PDF and HTML docs (unless nodoc is given)
+ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
 override_dh_auto_build:
-	dh_auto_build --parallel -- all pdf html
+	dh_auto_build -- all pdf html
+else
+override_dh_auto_build:
+	dh_auto_build
+	mkdir -p doc/dynare.html/
+	touch doc/dynare.pdf doc/guide.pdf doc/macroprocessor/macroprocessor.pdf doc/bvar-a-la-sims.pdf doc/preprocessor/preprocessor.pdf doc/userguide/UserGuide.pdf doc/dr.pdf doc/gsa/gsa.pdf doc/parallel/parallel.pdf dynare++/doc/dynare++-tutorial.pdf dynare++/doc/dynare++-ramsey.pdf dynare++/sylv/sylvester.pdf dynare++/tl/cc/tl.pdf dynare++/integ/cc/integ.pdf dynare++/kord/kord.pdf
+endif
 
 # Don't run the testsuite
 override_dh_auto_test:

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.sig/ http://www.dynare.org/release/source/ dynare-(.*)\.tar\.xz

## dynare 4.5.3

=== debian/changelog ===
dynare (4.5.3-1) unstable; urgency=medium

  * New upstream version 4.5.3

 -- Sébastien Villemot <sebastien@debian.org>  Fri, 20 Oct 2017 10:19:29 +0200

dynare (4.5.2-1) unstable; urgency=medium

  * New upstream version 4.5.2
  * emacs-use-autoload-magic-comment.patch: drop patch, applied upstream.
  * Drop workaround for nodoc option, no longer needed with debhelper ≥ 10.8.
  * Add link to new wiki in README.Debian.
  * Convert d/upstream/signing-key.pgp to .asc format.
  * Use secure URL in d/watch.
  * Bump Standards-Version to 4.1.1.

 -- Sébastien Villemot <sebastien@debian.org>  Thu, 19 Oct 2017 10:22:00 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Uploaders: Sébastien Villemot <sebastien@debian.org>
 Section: math
 Priority: optional
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper (>= 10.8~),
                dh-elpa,
                liboctave-dev (>= 4.2),
                libboost-graph-dev,
@@ -22,7 +22,7 @@
                lmodern,
                texinfo,
                latex2html
-Standards-Version: 4.0.0
+Standards-Version: 4.1.1
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-octave/dynare.git
 Vcs-Git: https://anonscm.debian.org/git/pkg-octave/dynare.git
 Homepage: http://www.dynare.org/

## dynare 4.5.4

=== matlab/modules/reporting/Makefile ===
OCTAVE=octave-cli
MATLAB=`which matlab`

all: check-octave check-matlab

check-octave:
	@cd test ;\
	$(OCTAVE) --silent --no-history runtest.m

check-matlab:
	@$(MATLAB) -nosplash -nodisplay -r "cd test; runtest; quit"

=== debian/changelog ===
dynare (4.5.4-1) unstable; urgency=medium

  [ Sébastien Villemot ]
  * New upstream version 4.5.4
  * d/copyright: reflect upstream changes.
  * Bump to debhelper compat level 11.
    Incidentally, documentation now installed under /usr/share/doc/dynare.
  * Bump Standards-Version to 4.1.3.
  * Fix registration of *.info files into doc-base.
  * Remove leftover conffile in /etc/emacs/site-start.d/50dynare.el.

  [ Rafael Laboissiere ]
  * d/control: Use Debian's GitLab URLs in Vcs-* headers
  * d/control: Change Maintainer to team+pkg-octave-team@tracker.debian.org

 -- Sébastien Villemot <sebastien@debian.org>  Sat, 03 Feb 2018 21:37:00 +0100

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: dynare
-Maintainer: Debian Octave Group <pkg-octave-devel@lists.alioth.debian.org>
+Maintainer: Debian Octave Group <team+pkg-octave-team@tracker.debian.org>
 Uploaders: Sébastien Villemot <sebastien@debian.org>
 Section: math
 Priority: optional
-Build-Depends: debhelper (>= 10.8~),
+Build-Depends: debhelper (>= 11),
                dh-elpa,
                liboctave-dev (>= 4.2),
                libboost-graph-dev,
@@ -22,9 +22,9 @@
                lmodern,
                texinfo,
                latex2html
-Standards-Version: 4.1.1
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-octave/dynare.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-octave/dynare.git
+Standards-Version: 4.1.3
+Vcs-Browser: https://salsa.debian.org/pkg-octave-team/dynare
+Vcs-Git: https://salsa.debian.org/pkg-octave-team/dynare.git
 Homepage: http://www.dynare.org/
 
 Package: dynare

=== debian/rules ===
--- 
+++ 
@@ -16,8 +16,6 @@
 else
 override_dh_auto_build:
 	dh_auto_build
-	mkdir -p doc/dynare.html/
-	touch doc/dynare.pdf doc/guide.pdf doc/macroprocessor/macroprocessor.pdf doc/bvar-a-la-sims.pdf doc/preprocessor/preprocessor.pdf doc/userguide/UserGuide.pdf doc/dr.pdf doc/gsa/gsa.pdf doc/parallel/parallel.pdf dynare++/doc/dynare++-tutorial.pdf dynare++/doc/dynare++-ramsey.pdf dynare++/sylv/sylvester.pdf dynare++/tl/cc/tl.pdf dynare++/integ/cc/integ.pdf dynare++/kord/kord.pdf
 endif
 
 # Don't run the testsuite

=== debian/tests/control ===
Tests: ramst
Depends: dynare, gnuplot-nox
Restrictions: allow-stderr

Tests: example1
Depends: dynare, gnuplot-nox
Restrictions: allow-stderr

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.sig/ https://www.dynare.org/release/source/ dynare-(.*)\.tar\.xz

## dynare 4.5.6

=== debian/changelog ===
dynare (4.5.6-1) unstable; urgency=medium

  * New upstream version 4.5.6
  * Add Rules-Requires-Root: no
  * Bump S-V to 4.1.5

 -- Sébastien Villemot <sebastien@debian.org>  Thu, 26 Jul 2018 14:56:38 +0200

dynare (4.5.5-3) unstable; urgency=medium

  * Generate versioned dependency on octave.
    This is to avoid the situation where the dependency on liboctaveNN is
    satisfied but does not correspond to the version of octave installed.

 -- Sébastien Villemot <sebastien@debian.org>  Sun, 17 Jun 2018 14:39:36 +0200

dynare (4.5.5-2) unstable; urgency=medium

  * Add fonts-freefont-otf to test dependencies (for Octave 4.4)

 -- Sébastien Villemot <sebastien@debian.org>  Wed, 13 Jun 2018 21:27:20 +0200

dynare (4.5.5-1) unstable; urgency=medium

  * New upstream version 4.5.5
  * d/copyright: reflect upstream changes
  * Drop texlive2018.patch, applied upstream
  * dynare-matlab.postinst: fix logic for detecting MATLAB version.
    The test was broken with newer MATLAB versions.

 -- Sébastien Villemot <sebastien@debian.org>  Sat, 09 Jun 2018 15:58:26 +0200

dynare (4.5.4-2) unstable; urgency=medium

  [ Rafael Laboissiere ]
  * d/rules: Remove the unnecessary get-orig-source target
  * d/control: Bump Standards-Version to 4.1.4

  [ Sébastien Villemot ]
  * texlive2018.patch: new patch, fixes FTBFS with TeX Live 2018.
    Thanks to Adrian Bunk (Closes: #896480)

 -- Sébastien Villemot <sebastien@debian.org>  Mon, 23 Apr 2018 18:00:16 +0200

=== debian/control ===
--- 
+++ 
@@ -5,6 +5,7 @@
 Priority: optional
 Build-Depends: debhelper (>= 11),
                dh-elpa,
+               dh-octave,
                liboctave-dev (>= 4.2),
                libboost-graph-dev,
                libmatio-dev,
@@ -22,14 +23,15 @@
                lmodern,
                texinfo,
                latex2html
-Standards-Version: 4.1.3
+Standards-Version: 4.1.5
 Vcs-Browser: https://salsa.debian.org/pkg-octave-team/dynare
 Vcs-Git: https://salsa.debian.org/pkg-octave-team/dynare.git
 Homepage: http://www.dynare.org/
+Rules-Requires-Root: no
 
 Package: dynare
 Architecture: any
-Depends: octave,
+Depends: ${octave:Depends},
          ${shlibs:Depends},
          ${misc:Depends}
 Recommends: liboctave-dev,

## dynare 4.5.7

=== debian/changelog ===
dynare (4.5.7-1) unstable; urgency=medium

  [ Sébastien Villemot ]
  * New upstream version 4.5.7
  * d/u/signing-key.asc: update for new upstream signing keys
  * d/copyright: reflect upstream changes
  * Update for new upstream URLs
  * Bump to debhelper compat level 12
  * Change src paths in dynare-doc.{examples,info} to make dh_missing happy
  * HTML manual: adapt for latex2html now producing SVGs instead of PNGs

  [ Rafael Laboissiere ]
  * d/control: Bump Standards-Version to 4.3.0 (no changes needed)
  * Build-depend on debhelper-compat instead of using d/compat

 -- Sébastien Villemot <sebastien@debian.org>  Tue, 12 Feb 2019 09:55:32 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Uploaders: Sébastien Villemot <sebastien@debian.org>
 Section: math
 Priority: optional
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper-compat (= 12),
                dh-elpa,
                dh-octave,
                liboctave-dev (>= 4.2),
@@ -22,11 +22,11 @@
                texlive-science,
                lmodern,
                texinfo,
-               latex2html
-Standards-Version: 4.1.5
+               latex2html (>= 2018.3)
+Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/pkg-octave-team/dynare
 Vcs-Git: https://salsa.debian.org/pkg-octave-team/dynare.git
-Homepage: http://www.dynare.org/
+Homepage: https://www.dynare.org/
 Rules-Requires-Root: no
 
 Package: dynare

=== debian/rules ===
--- 
+++ 
@@ -24,6 +24,9 @@
 override_dh_link:
 	dh_link --package=dynare /usr/lib/dynare/matlab/dynare.m $(MDIR)/dynare.m
 
-get-orig-source:
-	uscan --force-download --rename --destdir .
-.PHONY: get-orig-source
+# Generate a versioned dependency on octave.
+# This is to avoid the situation where the dependency on liboctaveNN is
+# satisfied, but does not correspond to the version of octave installed.
+override_dh_gencontrol:
+	dh_octave_substvar
+	dh_gencontrol

=== debian/tests/control ===
Tests: ramst
Depends: dynare, gnuplot-nox, fonts-freefont-otf
Restrictions: allow-stderr

Tests: example1
Depends: dynare, gnuplot-nox, fonts-freefont-otf
Restrictions: allow-stderr

## dynare 4.6.0%2Bdfsg

=== debian/changelog ===
dynare (4.6.0+dfsg-2) unstable; urgency=medium

  * d/rules: fix binary-arch rule

 -- Sébastien Villemot <sebastien@debian.org>  Tue, 25 Feb 2020 16:18:24 +0100

dynare (4.6.0+dfsg-1) unstable; urgency=medium

  [ Sébastien Villemot ]
  * New upstream version 4.6.0+dfsg
  * d/copyright, d/watch: provisions for removing embedded MathJax in 4.6.0
  * d/copyright: reflect upstream changes
  * Various packaging changes for the new version
    — New patches: missing-clean.patch, elisp-fixes.patch
    — Reference manual now uses sphinx:
      + Build-Depends on python3-sphinx and latexmk
      + use dh_sphinxdoc in d/rules
      + new use-debian-mathjax.patch
      + dynare-doc now Depends on libjs-mathjax
      + update list of texlive packages in Build-Depends
      + drop Build-Depends on texinfo and latex2html
      + drop dynare-doc.info
    — octave-statistics is now a hard Depends of dynare
    — dynare now Suggests x13as
    — d/rules: use debhelper 12.8’s execute_{before,after} targets
    — d/rules: pass --disable-matlab to configure, and therefore add a hack so
      that “make distclean” still works
    — dynare-doc: ship README.md, CONTRIBUTING.md and dseriesReporting.pdf;
      user guide no longer produced
    — dynare-matlab: add Depends on libgsl-dev, drop Depends on gfortran
  * Mark autopkgtest as superficial (they only run simple examples)
  * Drop obsolete d/source/{include-binaries,options}

  [ Rafael Laboissière ]
  * d/control: Bump Standards-Version to 4.5.0 (no changes needed)

 -- Sébastien Villemot <sebastien@debian.org>  Tue, 25 Feb 2020 15:11:32 +0100

dynare (4.5.7-2) unstable; urgency=medium

  * Team upload

  * d/control:
    + Bump Standards-Version to 4.4.1 (no changes needed)
    + Bump build-dependency on dh-octave to >= 0.7.1.
      This allows injection of the dependency on the virtual package
      octave-abi-N. 

 -- Rafael Laboissiere <rafael@debian.org>  Thu, 14 Nov 2019 12:05:34 -0300
